Subject: bug#4590: 23.1; ERC, aspell, and CPU usage

From: Tom Tromey <[email-masked]>
Date: Tue, 29 Sep 2009 12:12:46 -0600

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

This is a somewhat vague bug, sorry about that.
I don't even know for certain that this is a bug in Emacs.

I use ERC with the 'spelling module.

I have noticed that sometimes, when ERC cannot contact an irc server
(e.g. if it goes down or is otherwise unavailable), then aspell will
start using all my CPU, and Emacs slows to a crawl.

Killing aspell from the shell seems to fix this problem.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/share/emacs/23.1/etc/DEBUG for instructions.

In GNU Emacs 23.1.1 (i386-redhat-linux-gnu, GTK+ Version 2.16.5)
 of 2009-08-26 on x86-2.fedora.phx.redhat.com
Windowing system distributor `The X.Org Foundation', version 11.0.10601901
configured using `configure  '--build=i386-redhat-linux-gnu' '--host=i386-redhat-linux-gnu' '--target=i586-redhat-linux-gnu' '--program-prefix=' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-dbus' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xft' '--with-xpm' '--with-x-toolkit=gtk' 'build_alias=i386-redhat-linux-gnu' 'host_alias=i386-redhat-linux-gnu' 'target_alias=i586-redhat-linux-gnu' 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i586 -mtune=generic -fasynchronous-unwind-tables''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Group

Minor modes in effect:
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  erc-spelling-mode: t
  erc-truncate-mode: t
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  gnus-undo-mode: t
  erc-status-mode: t
  erc-services-mode: t
  erc-networks-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
i c h SPC I SPC n o SPC l o n g e r SPC h a v e SPC 
b u t SPC t h e SPC g i s t SPC w a s SPC t h a t SPC 
t h e <M-backspace> t h e r SPC <backspace> e SPC w 
a s SPC n o SPC c o n n e c t i o n SPC t o SPC <M-backspace> 
<backspace> . <backspace> ) . C-f C-f C-o I SPC t h 
i n k SPC / d i s c o n n e c t SPC h s C-t o u l d 
SPC w o r k SPC t o SPC p r e v e t <backspace> n t 
SPC r e c o n n e c t i o n SPC i n SPC t h i s SPC 
s i t u a t i o n . <return> <return> T h e SPC o n 
l y SPC s i <backspace> o l u t i o n SPC I SPC f o 
u n d SPC w a s SPC t o SPC d e l e t e <M-backspace> 
k i l l SPC t h e SPC s e r v e r SPC b u f f e r . 
C-z o <f10> <f10> <f10> C-z o C-a I n s t e a d , SPC 
M-l C-p C-k C-e C-c C-c C-z n <f10> <f10> <f10> C-z 
o n SPC M-> q SPC M-> q SPC 5 0 <return> M-> q s M-v 
C-l C-u C-n C-u C-n C-n n SPC M-> Q y s M-x r e p o 
r t - e m <tab> b <tab> <return>

Recent messages:
Retrieving newsgroup: nnml:mail.kaos...
Fetching headers for nnml:mail.kaos...done
Generating summary...done
Mark set
Discard changes to this group and exit? (y or n) 
(No changes need to be saved)
Saving /home/tromey/.newsrc.eld...
Saving file /home/tromey/.newsrc.eld...
Wrote /home/tromey/.newsrc.eld
Saving /home/tromey/.newsrc.eld...done

Tom